summary refs log tree commit diff
path: root/x11-misc
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2021-04-24 19:21:54 +0300
committerAzat Bahawi <azahi@teknik.io>2021-04-24 19:21:58 +0300
commit133df8a7b0c297cedcce40929e7051eb3e6cf99c (patch)
tree992a21664bd65855c5f70683225814feccdb8c9b /x11-misc
parentmedia-fonts/uw-ttyp0: Remove redundant dist rename (diff)
x11-misc/xlocatemouse: Fix build
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Azat Bahawi <azahi@teknik.io>
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/xlocatemouse/Manifest2
-rw-r--r--x11-misc/xlocatemouse/files/xlocatemouse-20.05-makefile.patch17
-rw-r--r--x11-misc/xlocatemouse/files/xlocatemouse-9999-makefile.patch17
-rw-r--r--x11-misc/xlocatemouse/xlocatemouse-20.05.ebuild32
-rw-r--r--x11-misc/xlocatemouse/xlocatemouse-9999.ebuild32
5 files changed, 47 insertions, 53 deletions
diff --git a/x11-misc/xlocatemouse/Manifest b/x11-misc/xlocatemouse/Manifest
index c213787..c392511 100644
--- a/x11-misc/xlocatemouse/Manifest
+++ b/x11-misc/xlocatemouse/Manifest
@@ -1 +1 @@
-DIST xlocatemouse-v20.05.tar.gz 3727 BLAKE2B 0341008e0e7eae9b332dba5006bd268f382a3cc070020dfd8b5b41d11323f30b7273808087f4c25ed91b5c658e14584100f1f79bbd7ffac9e34ebadfc712007b SHA512 7fade5eb99f93154d77c43204788d78681cb516ddf8de2d9e11eac7629ab4216e8cee262a81e1bb572588e4373a875078d56c96d474995fefb6b92c22811547f
+DIST xlocatemouse-20.05.tar.gz 3727 BLAKE2B 0341008e0e7eae9b332dba5006bd268f382a3cc070020dfd8b5b41d11323f30b7273808087f4c25ed91b5c658e14584100f1f79bbd7ffac9e34ebadfc712007b SHA512 7fade5eb99f93154d77c43204788d78681cb516ddf8de2d9e11eac7629ab4216e8cee262a81e1bb572588e4373a875078d56c96d474995fefb6b92c22811547f
diff --git a/x11-misc/xlocatemouse/files/xlocatemouse-20.05-makefile.patch b/x11-misc/xlocatemouse/files/xlocatemouse-20.05-makefile.patch
deleted file mode 100644
index fb4a619..0000000
--- a/x11-misc/xlocatemouse/files/xlocatemouse-20.05-makefile.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-diff --git a/Makefile b/Makefile
-index 11eedbb..fdfa277 100644
---- a/Makefile
-+++ b/Makefile
-@@ -5,10 +5,8 @@ INSTALL = install
- INSTALL_PROGRAM = $(INSTALL)
- INSTALL_DATA = $(INSTALL) -m 644
- 
--prefix = /usr/local
--exec_prefix = $(prefix)
--bindir = $(exec_prefix)/bin
--datarootdir = $(prefix)/share
-+bindir = $(PREFIX)/bin
-+datarootdir = $(PREFIX)/share
- mandir = $(datarootdir)/man
- man1dir = $(mandir)/man1
- 
diff --git a/x11-misc/xlocatemouse/files/xlocatemouse-9999-makefile.patch b/x11-misc/xlocatemouse/files/xlocatemouse-9999-makefile.patch
deleted file mode 100644
index fb4a619..0000000
--- a/x11-misc/xlocatemouse/files/xlocatemouse-9999-makefile.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-diff --git a/Makefile b/Makefile
-index 11eedbb..fdfa277 100644
---- a/Makefile
-+++ b/Makefile
-@@ -5,10 +5,8 @@ INSTALL = install
- INSTALL_PROGRAM = $(INSTALL)
- INSTALL_DATA = $(INSTALL) -m 644
- 
--prefix = /usr/local
--exec_prefix = $(prefix)
--bindir = $(exec_prefix)/bin
--datarootdir = $(prefix)/share
-+bindir = $(PREFIX)/bin
-+datarootdir = $(PREFIX)/share
- mandir = $(datarootdir)/man
- man1dir = $(mandir)/man1
- 
diff --git a/x11-misc/xlocatemouse/xlocatemouse-20.05.ebuild b/x11-misc/xlocatemouse/xlocatemouse-20.05.ebuild
index af570a1..cbd490e 100644
--- a/x11-misc/xlocatemouse/xlocatemouse-20.05.ebuild
+++ b/x11-misc/xlocatemouse/xlocatemouse-20.05.ebuild
@@ -1,13 +1,15 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 if [[ ${PV} == *9999 ]]; then
-	inherit git-r3
+	SCM="git-r3"
 	EGIT_REPO_URI="https://www.uninformativ.de/git/xlocatemouse.git"
 fi
 
+inherit toolchain-funcs ${SCM}
+
 DESCRIPTION="Find your X11 mouse pointer"
 HOMEPAGE="https://www.uninformativ.de/git/xlocatemouse/file/README.html"
 
@@ -15,9 +17,9 @@ if [[ ${PV} == *9999 ]]; then
 	SRC_URI=""
 	KEYWORDS=""
 else
-	SRC_URI="https://www.uninformativ.de/git/xlocatemouse/archives/xlocatemouse-v${PV}.tar.gz -> ${PN}-v${PV}.tar.gz"
-	S="${WORKDIR}/${PN}-v${PV}"  # xlocatemouse-v20.05 is used in source tarball
+	SRC_URI="https://www.uninformativ.de/git/xlocatemouse/archives/xlocatemouse-v${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${PN}-v${PV}"
 fi
 
 LICENSE="MIT"
@@ -26,12 +28,24 @@ IUSE=""
 
 DEPEND="x11-libs/libX11"
 RDEPEND="${DEPEND}"
-BDEPEND=""
+BDEPEND="virtual/pkgconfig"
+
+DOCS=(CHANGES)
 
-PATCHES=(
-	"${FILESDIR}/${P}-makefile.patch"
-)
+src_prepare() {
+	default
+
+	sed -e 's/-O2 //g' -i Makefile || die
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)"
+}
 
 src_install() {
-	emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+	emake install \
+		DESTDIR="${D}" \
+		prefix="${EPREFIX}/usr"
+
+	einstalldocs
 }
diff --git a/x11-misc/xlocatemouse/xlocatemouse-9999.ebuild b/x11-misc/xlocatemouse/xlocatemouse-9999.ebuild
index af570a1..cbd490e 100644
--- a/x11-misc/xlocatemouse/xlocatemouse-9999.ebuild
+++ b/x11-misc/xlocatemouse/xlocatemouse-9999.ebuild
@@ -1,13 +1,15 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 if [[ ${PV} == *9999 ]]; then
-	inherit git-r3
+	SCM="git-r3"
 	EGIT_REPO_URI="https://www.uninformativ.de/git/xlocatemouse.git"
 fi
 
+inherit toolchain-funcs ${SCM}
+
 DESCRIPTION="Find your X11 mouse pointer"
 HOMEPAGE="https://www.uninformativ.de/git/xlocatemouse/file/README.html"
 
@@ -15,9 +17,9 @@ if [[ ${PV} == *9999 ]]; then
 	SRC_URI=""
 	KEYWORDS=""
 else
-	SRC_URI="https://www.uninformativ.de/git/xlocatemouse/archives/xlocatemouse-v${PV}.tar.gz -> ${PN}-v${PV}.tar.gz"
-	S="${WORKDIR}/${PN}-v${PV}"  # xlocatemouse-v20.05 is used in source tarball
+	SRC_URI="https://www.uninformativ.de/git/xlocatemouse/archives/xlocatemouse-v${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${PN}-v${PV}"
 fi
 
 LICENSE="MIT"
@@ -26,12 +28,24 @@ IUSE=""
 
 DEPEND="x11-libs/libX11"
 RDEPEND="${DEPEND}"
-BDEPEND=""
+BDEPEND="virtual/pkgconfig"
+
+DOCS=(CHANGES)
 
-PATCHES=(
-	"${FILESDIR}/${P}-makefile.patch"
-)
+src_prepare() {
+	default
+
+	sed -e 's/-O2 //g' -i Makefile || die
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)"
+}
 
 src_install() {
-	emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+	emake install \
+		DESTDIR="${D}" \
+		prefix="${EPREFIX}/usr"
+
+	einstalldocs
 }

Consider giving Nix/NixOS a try! <3